package com.ruoyi.app.service;

import java.util.List;
import com.ruoyi.app.domain.Staff;

/**
 * 人员Service接口
 * 
 * @author coede
 * @date 2025-03-20
 */
public interface IStaffService 
{
    /**
     * 查询人员
     * 
     * @param id 人员主键
     * @return 人员
     */
    public Staff selectStaffById(Long id);

    /**
     * 查询人员列表
     * 
     * @param staff 人员
     * @return 人员集合
     */
    public List<Staff> selectStaffList(Staff staff);

    /**
     * 新增人员
     * 
     * @param staff 人员
     * @return 结果
     */
    public int insertStaff(Staff staff);

    /**
     * 修改人员
     * 
     * @param staff 人员
     * @return 结果
     */
    public int updateStaff(Staff staff);

    /**
     * 批量删除人员
     * 
     * @param ids 需要删除的人员主键集合
     * @return 结果
     */
    public int deleteStaffByIds(Long[] ids);

    /**
     * 删除人员信息
     * 
     * @param id 人员主键
     * @return 结果
     */
    public int deleteStaffById(Long id);
}
